Bullet Collision Detection & Physics Library: btManifoldPoint Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btManifoldPoint Class Reference

ManifoldContactPoint collects and maintains persistent contactpoints. More...

`#include <btManifoldPoint.h>`

Collaboration diagram for btManifoldPoint:
[legend]

## Public Member Functions
| btManifoldPoint ()
| btManifoldPoint (const btVector3 &pointA, const btVector3 &pointB, const btVector3 &normal, btScalar distance)
btScalar | getDistance () const
int | getLifeTime () const
const btVector3 & | getPositionWorldOnA () const
const btVector3 & | getPositionWorldOnB () const
void | setDistance (btScalar dist)
btScalar | getAppliedImpulse () const
| this returns the most recent applied impulse, to satisfy contact constraints by the constraint solver

## Public Attributes
btVector3 | m_localPointA
btVector3 | m_localPointB
btVector3 | m_positionWorldOnB
btVector3 | m_positionWorldOnA
| m_positionWorldOnA is redundant information, see getPositionWorldOnA(), but for clarity
btVector3 | m_normalWorldOnB
btScalar | m_distance1
btScalar | m_combinedFriction
btScalar | m_combinedRollingFriction
btScalar | m_combinedSpinningFriction
btScalar | m_combinedRestitution
int | m_partId0
int | m_partId1
int | m_index0
int | m_index1
void * | m_userPersistentData
int | m_contactPointFlags
btScalar | m_appliedImpulse
btScalar | m_prevRHS
btScalar | m_appliedImpulseLateral1
btScalar | m_appliedImpulseLateral2
btScalar | m_contactMotion1
btScalar | m_contactMotion2
union { |
btScalar m_contactCFM |
btScalar m_combinedContactStiffness1 |
}; |  |
union { |
btScalar m_contactERP |
btScalar m_combinedContactDamping1 |
}; |  |
btScalar | m_frictionCFM
int | m_lifeTime
btVector3 | m_lateralFrictionDir1
btVector3 | m_lateralFrictionDir2

## Detailed Description

ManifoldContactPoint collects and maintains persistent contactpoints.

used to improve stability and performance of rigidbody dynamics response.

Definition at line 51 of file btManifoldPoint.h.

## Constructor & Destructor Documentation

## ◆ btManifoldPoint() [1/2]

btManifoldPoint::btManifoldPoint | ( |  | ) |
| inline

Definition at line 54 of file btManifoldPoint.h.

## ◆ btManifoldPoint() [2/2]

btManifoldPoint::btManifoldPoint | ( | const btVector3 & | pointA,
|  | const btVector3 & | pointB,
|  | const btVector3 & | normal,
|  | btScalar | distance )
| inline

Definition at line 70 of file btManifoldPoint.h.

## Member Function Documentation

## ◆ getAppliedImpulse()

btScalar btManifoldPoint::getAppliedImpulse | ( |  | ) | const
| inline

this returns the most recent applied impulse, to satisfy contact constraints by the constraint solver

Definition at line 176 of file btManifoldPoint.h.

## ◆ getDistance()

btScalar btManifoldPoint::getDistance | ( |  | ) | const
| inline

Definition at line 150 of file btManifoldPoint.h.

## ◆ getLifeTime()

int btManifoldPoint::getLifeTime | ( |  | ) | const
| inline

Definition at line 154 of file btManifoldPoint.h.

## ◆ getPositionWorldOnA()

const btVector3 & btManifoldPoint::getPositionWorldOnA | ( |  | ) | const
| inline

Definition at line 159 of file btManifoldPoint.h.

## ◆ getPositionWorldOnB()

const btVector3 & btManifoldPoint::getPositionWorldOnB | ( |  | ) | const
| inline

Definition at line 165 of file btManifoldPoint.h.

## ◆ setDistance()

void btManifoldPoint::setDistance | ( | btScalar | dist | ) |
| inline

Definition at line 170 of file btManifoldPoint.h.

## Member Data Documentation

## ◆ [union]

union { ... } btManifoldPoint

## ◆ [union]

union { ... } btManifoldPoint

## ◆ m_appliedImpulse

btScalar btManifoldPoint::m_appliedImpulse

Definition at line 126 of file btManifoldPoint.h.

## ◆ m_appliedImpulseLateral1

btScalar btManifoldPoint::m_appliedImpulseLateral1

Definition at line 128 of file btManifoldPoint.h.

## ◆ m_appliedImpulseLateral2

btScalar btManifoldPoint::m_appliedImpulseLateral2

Definition at line 129 of file btManifoldPoint.h.

## ◆ m_combinedContactDamping1

btScalar btManifoldPoint::m_combinedContactDamping1

Definition at line 140 of file btManifoldPoint.h.

## ◆ m_combinedContactStiffness1

btScalar btManifoldPoint::m_combinedContactStiffness1

Definition at line 135 of file btManifoldPoint.h.

## ◆ m_combinedFriction

btScalar btManifoldPoint::m_combinedFriction

Definition at line 111 of file btManifoldPoint.h.

## ◆ m_combinedRestitution

btScalar btManifoldPoint::m_combinedRestitution

Definition at line 114 of file btManifoldPoint.h.

## ◆ m_combinedRollingFriction

btScalar btManifoldPoint::m_combinedRollingFriction

Definition at line 112 of file btManifoldPoint.h.

## ◆ m_combinedSpinningFriction

btScalar btManifoldPoint::m_combinedSpinningFriction

Definition at line 113 of file btManifoldPoint.h.

## ◆ m_contactCFM

btScalar btManifoldPoint::m_contactCFM

Definition at line 134 of file btManifoldPoint.h.

## ◆ m_contactERP

btScalar btManifoldPoint::m_contactERP

Definition at line 139 of file btManifoldPoint.h.

## ◆ m_contactMotion1

btScalar btManifoldPoint::m_contactMotion1

Definition at line 130 of file btManifoldPoint.h.

## ◆ m_contactMotion2

btScalar btManifoldPoint::m_contactMotion2

Definition at line 131 of file btManifoldPoint.h.

## ◆ m_contactPointFlags

int btManifoldPoint::m_contactPointFlags

Definition at line 124 of file btManifoldPoint.h.

## ◆ m_distance1

btScalar btManifoldPoint::m_distance1

Definition at line 110 of file btManifoldPoint.h.

## ◆ m_frictionCFM

btScalar btManifoldPoint::m_frictionCFM

Definition at line 143 of file btManifoldPoint.h.

## ◆ m_index0

int btManifoldPoint::m_index0

Definition at line 119 of file btManifoldPoint.h.

## ◆ m_index1

int btManifoldPoint::m_index1

Definition at line 120 of file btManifoldPoint.h.

## ◆ m_lateralFrictionDir1

btVector3 btManifoldPoint::m_lateralFrictionDir1

Definition at line 147 of file btManifoldPoint.h.

## ◆ m_lateralFrictionDir2

btVector3 btManifoldPoint::m_lateralFrictionDir2

Definition at line 148 of file btManifoldPoint.h.

## ◆ m_lifeTime

int btManifoldPoint::m_lifeTime

Definition at line 145 of file btManifoldPoint.h.

## ◆ m_localPointA

btVector3 btManifoldPoint::m_localPointA

Definition at line 103 of file btManifoldPoint.h.

## ◆ m_localPointB

btVector3 btManifoldPoint::m_localPointB

Definition at line 104 of file btManifoldPoint.h.

## ◆ m_normalWorldOnB

btVector3 btManifoldPoint::m_normalWorldOnB

Definition at line 108 of file btManifoldPoint.h.

## ◆ m_partId0

int btManifoldPoint::m_partId0

Definition at line 117 of file btManifoldPoint.h.

## ◆ m_partId1

int btManifoldPoint::m_partId1

Definition at line 118 of file btManifoldPoint.h.

## ◆ m_positionWorldOnA

btVector3 btManifoldPoint::m_positionWorldOnA

m_positionWorldOnA is redundant information, see getPositionWorldOnA(), but for clarity

Definition at line 107 of file btManifoldPoint.h.

## ◆ m_positionWorldOnB

btVector3 btManifoldPoint::m_positionWorldOnB

Definition at line 105 of file btManifoldPoint.h.

## ◆ m_prevRHS

btScalar btManifoldPoint::m_prevRHS

Definition at line 127 of file btManifoldPoint.h.

## ◆ m_userPersistentData

void* btManifoldPoint::m_userPersistentData
| mutable

Definition at line 122 of file btManifoldPoint.h.

The documentation for this class was generated from the following file:

- btManifoldPoint.h